//---------------------------------------------------------------------------
#ifndef TCronoH
#define TCronoH
//---------------------------------------------------------------------------
#endif

#include "TAguja.h"

class TCrono
{
private:

protected:

public:
   TCrono(TImage *,TTimer *);
   ~TCrono();

   int    ARacePos;
   int    ATick0;
   TColor ColorFondo;
   bool   Fondo;
   int    Hours;
   bool   Lapped;
   int    MiliSeconds;
   int    Minutes;
   TPoint RaceOrigin;
   TColor RaceLineColor;
   TColor RaceMarkColor;
   int    RacePos;
   int    RacePosMax;
   int    RaceSize;
   int    Seconds;
   bool   Sound;
   int    Tick;
   int    Tick0;
   int    TickStop;
   bool   TickStopMade;
   String TickString;

   TAguja *AgujaM;
   TAguja *AgujaS;
   TAguja *AgujaD;
   TFont  *Font;
   TImage *Image;
   TImage *ImageFondo1;
   TImage *ImageFondo2;
   TTimer *Timer;

   void   Clear();
   void   Continue();
   int    HMSMSToTick(int,int,int,int);
   void   IniRead();
   void   Init();
   void   Initialize();
   void   IniWrite();
   void   Lap();
   void   Resize();
   void   RaceFondoInit();
   void   RaceFondoLoad();
   TPoint RaceFuncArcLeft(float,float,float,float,float,float,float);
   TPoint RaceFuncArcRight(float,float,float,float,float,float,float);
   TPoint RaceFuncLine(float,float,float,float,float);
   void   RaceMark(int,int);
   TPoint RacePointGet(int);
   void   RaceShowLineTo(int);
   void   RaceShowPos();
   void   Show();
   void   Start();
   void   Stop();
   int    Style;
   void   TickStringGet();
   void   TickTime();
   int    TickToHours(int);
   int    TickToMiliSeconds(int,int,int,int);
   int    TickToMinutes(int,int);
   int    TickToSeconds(int,int,int);
};
