//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "Crono2U.h"
#include "TCrono.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "RxCombos"
#pragma resource "*.dfm"
TCrono2F *Crono2F;
//---------------------------------------------------------------------------

// Objetos

extern TCrono *Crono;

//---------------------------------------------------------------------------
__fastcall TCrono2F::TCrono2F(TComponent* Owner)
   : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TCrono2F::FormShow(TObject *Sender)
{  int H,M,S,MS;

   FontComboBox1->FontName=Crono->Font->Name;
   Panel2->Color=Crono->Font->Color;
   Edit1->Text=IntToStr(Crono->Font->Size);
   Label1->Color=Crono->ColorFondo;
   Label1->Font->Color=Crono->Font->Color;
   Label1->Font->Name=Crono->Font->Name;

   H =Crono->TickToHours(Crono->TickStop);
   M =Crono->TickToMinutes(Crono->TickStop,H);
   S =Crono->TickToSeconds(Crono->TickStop,H,M);
   MS=Crono->TickToMiliSeconds(Crono->TickStop,H,M,S);

   Edit2->Text=IntToStr(H);
   Edit3->Text=IntToStr(M);
   Edit4->Text=IntToStr(S);
   Edit5->Text=IntToStr(MS);

   RadioGroup1->ItemIndex=Crono->Style;

   Panel3->Color=Crono->AgujaM->Font->Color;
   Panel4->Color=Crono->AgujaM->ColorEsfera;
   Panel5->Color=Crono->AgujaM->ColorAguja;

   Panel6->Color=Crono->AgujaS->Font->Color;
   Panel7->Color=Crono->AgujaS->ColorEsfera;
   Panel8->Color=Crono->AgujaS->ColorAguja;

   Panel9->Color=Crono->AgujaD->Font->Color;
   Panel10->Color=Crono->AgujaD->ColorEsfera;
   Panel11->Color=Crono->AgujaD->ColorAguja;

   Edit6->Text=IntToStr(Crono->AgujaM->Divisiones);
   Edit7->Text=IntToStr(Crono->AgujaS->Divisiones);
   Edit8->Text=IntToStr(Crono->AgujaD->Divisiones);

   CheckBox1->Checked=Crono->AgujaM->Numeros;
   CheckBox2->Checked=Crono->AgujaS->Numeros;
   CheckBox3->Checked=Crono->AgujaD->Numeros;

   CheckBox4->Checked=Crono->Sound;

   Panel1->Color=Crono->RaceMarkColor;
   Panel12->Color=Crono->RaceLineColor;
   Edit9->Text=IntToStr(Crono->RaceSize);
   Edit10->Text=IntToStr(Crono->ARacePos);

   if (Crono->Tick==0)
   {  Edit2->Enabled=true;
      Edit3->Enabled=true;
      Edit4->Enabled=true;
      Edit5->Enabled=true;

      Edit10->Enabled=true;
   }
   else
   {  Edit2->Enabled=false;
      Edit3->Enabled=false;
      Edit4->Enabled=false;
      Edit5->Enabled=false;

      Edit10->Enabled=false;
   }
}
//---------------------------------------------------------------------------
void __fastcall TCrono2F::FormClose(TObject *Sender, TCloseAction &Action)
{  Crono->IniWrite();
}
//---------------------------------------------------------------------------
void __fastcall TCrono2F::BitBtn1Click(TObject *Sender)
{  Crono->Font->Name=FontComboBox1->FontName;
   Crono->Font->Color=Panel2->Color;
   Crono->Font->Size=StrToInt(Edit1->Text);

   Crono->TickStop=
      Crono->HMSMSToTick(StrToInt(Edit2->Text),StrToInt(Edit3->Text)
                        ,StrToInt(Edit4->Text),StrToInt(Edit5->Text));

   Crono->Style=RadioGroup1->ItemIndex;

   Crono->AgujaM->Font->Color=Panel3->Color;
   Crono->AgujaM->ColorEsfera=Panel4->Color;
   Crono->AgujaM->ColorAguja=Panel5->Color;

   Crono->AgujaS->Font->Color=Panel6->Color;
   Crono->AgujaS->ColorEsfera=Panel7->Color;
   Crono->AgujaS->ColorAguja=Panel8->Color;

   Crono->AgujaD->Font->Color=Panel9->Color;
   Crono->AgujaD->ColorEsfera=Panel10->Color;
   Crono->AgujaD->ColorAguja=Panel11->Color;

   Crono->AgujaM->Divisiones=StrToInt(Edit6->Text);
   Crono->AgujaS->Divisiones=StrToInt(Edit7->Text);
   Crono->AgujaD->Divisiones=StrToInt(Edit8->Text);

   Crono->AgujaM->Numeros=CheckBox1->Checked;
   Crono->AgujaS->Numeros=CheckBox2->Checked;
   Crono->AgujaD->Numeros=CheckBox3->Checked;

   Crono->Sound=CheckBox4->Checked;

   Crono->RaceMarkColor=Panel1->Color;
   Crono->RaceLineColor=Panel12->Color;
   Crono->RaceSize=StrToInt(Edit9->Text);
   Crono->ARacePos=StrToInt(Edit10->Text);

   if ((Crono->ARacePos<=-Crono->RacePosMax)
     ||(Crono->ARacePos>= Crono->RacePosMax)) Crono->ARacePos=0;

   Crono->Resize();
}
//---------------------------------------------------------------------------
void __fastcall TCrono2F::FontComboBox1Change(TObject *Sender)
{  Label1->Font->Name=FontComboBox1->FontName;
}
//---------------------------------------------------------------------------
void __fastcall TCrono2F::SpeedButton1Click(TObject *Sender)
{  ColorDialog1->Color=Panel1->Color;
   if (ColorDialog1->Execute()) Panel1->Color=ColorDialog1->Color;
}
//---------------------------------------------------------------------------
void __fastcall TCrono2F::SpeedButton12Click(TObject *Sender)
{  ColorDialog1->Color=Panel12->Color;
   if (ColorDialog1->Execute()) Panel12->Color=ColorDialog1->Color;
}
//---------------------------------------------------------------------------
void __fastcall TCrono2F::SpeedButton2Click(TObject *Sender)
{  ColorDialog1->Color=Panel2->Color;
   if (ColorDialog1->Execute())
   {  Label1->Font->Color=ColorDialog1->Color;
      Panel2->Color=ColorDialog1->Color;
   }
}
//---------------------------------------------------------------------------
void __fastcall TCrono2F::SpeedButton3Click(TObject *Sender)
{  ColorDialog1->Color=Panel3->Color;
   if (ColorDialog1->Execute()) Panel3->Color=ColorDialog1->Color;
}
//---------------------------------------------------------------------------
void __fastcall TCrono2F::SpeedButton4Click(TObject *Sender)
{  ColorDialog1->Color=Panel4->Color;
   if (ColorDialog1->Execute()) Panel4->Color=ColorDialog1->Color;
}
//---------------------------------------------------------------------------
void __fastcall TCrono2F::SpeedButton5Click(TObject *Sender)
{  ColorDialog1->Color=Panel5->Color;
   if (ColorDialog1->Execute()) Panel5->Color=ColorDialog1->Color;
}
//---------------------------------------------------------------------------
void __fastcall TCrono2F::SpeedButton6Click(TObject *Sender)
{  ColorDialog1->Color=Panel6->Color;
   if (ColorDialog1->Execute()) Panel6->Color=ColorDialog1->Color;
}
//---------------------------------------------------------------------------
void __fastcall TCrono2F::SpeedButton7Click(TObject *Sender)
{  ColorDialog1->Color=Panel7->Color;
   if (ColorDialog1->Execute()) Panel7->Color=ColorDialog1->Color;
}
//---------------------------------------------------------------------------
void __fastcall TCrono2F::SpeedButton8Click(TObject *Sender)
{  ColorDialog1->Color=Panel8->Color;
   if (ColorDialog1->Execute()) Panel8->Color=ColorDialog1->Color;
}
//---------------------------------------------------------------------------
void __fastcall TCrono2F::SpeedButton9Click(TObject *Sender)
{  ColorDialog1->Color=Panel9->Color;
   if (ColorDialog1->Execute()) Panel9->Color=ColorDialog1->Color;
}
//---------------------------------------------------------------------------
void __fastcall TCrono2F::SpeedButton10Click(TObject *Sender)
{  ColorDialog1->Color=Panel10->Color;
   if (ColorDialog1->Execute()) Panel10->Color=ColorDialog1->Color;
}
//---------------------------------------------------------------------------
void __fastcall TCrono2F::SpeedButton11Click(TObject *Sender)
{  ColorDialog1->Color=Panel11->Color;
   if (ColorDialog1->Execute()) Panel11->Color=ColorDialog1->Color;
}
//---------------------------------------------------------------------------
void __fastcall TCrono2F::BitBtn3Click(TObject *Sender)
{  Panel6->Color=Panel3->Color;
   Panel7->Color=Panel4->Color;
   Panel8->Color=Panel5->Color;

   Panel9->Color=Panel3->Color;
   Panel10->Color=Panel4->Color;
   Panel11->Color=Panel5->Color;
}
//---------------------------------------------------------------------------
